version: v3
teleport:
  nodename: headscale-client
  data_dir: /var/lib/teleport
  proxy_server: teleport-iam.aies.scicom.dev:443
  join_params:
    method: iam
    token_name: ec2-iam-token
auth_service:
  enabled: no
proxy_service:
  enabled: no
ssh_service:
  enabled: yes
  pam:
    enabled: yes
    service_name: "sshd"
  labels:
    env: dev
    managed_by: terraform
    architecture: arm64
    hostname: ip-172-31-20-196
    owner: adha
    project: aies
    purpose: headscale-vpn-client
    team: agentic
  commands:
  - name: hostname
    command: [hostname]
    period: 1m0s
  - name: arch
    command: [uname, -m]
    period: 1h0s
